Summary:	Fonts to replace commonly used Microsoft Windows Fonts
Summary(pl.UTF-8):	Fonty zastępujące popularne fonty z Microsoft Windows
Name:		fonts-TTF-RedHat-liberation1
Version:	1.07.5
Release:	1
License:	GPL v2 + exceptions
Group:		Fonts
#Source0Download: https://github.com/liberationfonts/liberation-1.7-fonts/releases
Source0:	https://github.com/liberationfonts/liberation-1.7-fonts/files/2175696/liberation-fonts-%{version}.tar.gz
# Source0-md5:	341038c2ebfbf0ce54954556e7696d3b
Source1:	liberation-fonts-mono.conf
Source2:	liberation-fonts-sans.conf
Source3:	liberation-fonts-serif.conf
URL:		https://github.com/liberationfonts/liberation-1.7-fonts
BuildRequires:	fontforge >= 20090923
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/TTF
Suggests:	fonts-TTF-RedHat-liberation-narrow
Obsoletes:	liberation-fonts-ttf
Obsoletes:	fonts-TTF-RedHat-liberation < 2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_ttffontsdir	%{_fontsdir}/TTF

%description
The Liberation Fonts are intended to be replacements for the three
most commonly used fonts on Microsoft systems.

There are three sets: Sans (a substitute for Arial, Albany, Helvetica,
Nimbus Sans L, and Bitstream Vera Sans), Serif (a substitute for Times
New Roman, Thorndale, Nimbus Roman, and Bitstream Vera Serif) and Mono
(a substitute for Courier New, Cumberland, Courier, Nimbus Mono L, and
Bitstream Vera Sans Mono).

%description -l pl.UTF-8
Fonty Liberation mają być zamiennikami trzech najczęściej używanych
fontów z systemów Microsoftu.

Pakiet zawiera trzy zestawy: Sans (zamiennik dla Arial, Albany,
Helvetica, Nimbus Sans L i Bitstream Vera Sans), Serif (zamiennik dla
Times New Roman, Thorndale, Nimbus Roman i Bitstream Vera Serif) i
Mono (zamiennik dla Courier New, Cumberland, Courier, Nimbus Mono L i
Bitstream Vera Sans Mono).

%prep
%setup -q -n liberation-fonts-%{version}

%build
%{__make}

%{__mv} liberation-fonts-ttf-%{version}/* .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_ttffontsdir},%{_sysconfdir}/fonts/conf.d,%{_datadir}/fontconfig/conf.avail}

cp -p *.ttf $RPM_BUILD_ROOT%{_ttffontsdir}

cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/fontconfig/conf.avail/59-liberation-mono.conf
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/fontconfig/conf.avail/59-liberation-sans.conf
cp -p %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/fontconfig/conf.avail/59-liberation-serif.conf

ln -s %{_datadir}/fontconfig/conf.avail/59-liberation-mono.conf $RPM_BUILD_ROOT%{_sysconfdir}/fonts/conf.d
ln -s %{_datadir}/fontconfig/conf.avail/59-liberation-sans.conf $RPM_BUILD_ROOT%{_sysconfdir}/fonts/conf.d
ln -s %{_datadir}/fontconfig/conf.avail/59-liberation-serif.conf $RPM_BUILD_ROOT%{_sysconfdir}/fonts/conf.d

%clean
rm -rf $RPM_BUILD_ROOT

%post
fontpostinst TTF

%postun
fontpostinst TTF

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog License.txt README.rst TODO
%{_ttffontsdir}/LiberationMono-*.ttf
%{_ttffontsdir}/LiberationSans-*.ttf
%{_ttffontsdir}/LiberationSerif-*.ttf
%{_datadir}/fontconfig/conf.avail/59-liberation-mono.conf
%{_datadir}/fontconfig/conf.avail/59-liberation-sans.conf
%{_datadir}/fontconfig/conf.avail/59-liberation-serif.conf
%{_sysconfdir}/fonts/conf.d/59-liberation-mono.conf
%{_sysconfdir}/fonts/conf.d/59-liberation-sans.conf
%{_sysconfdir}/fonts/conf.d/59-liberation-serif.conf
%changelog
* Sun Dec 30 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/fonts-TTF-RedHat-liberation1.git;a=log;h=master

* Sun Dec 30 2018 Jakub Bogusz <qboosh@pld-linux.org> 2a9bef8
- new URLs, updated to 1.07.5; LiberationSansNarrow moved to separate package (fonts-TTF-RedHat-liberation-narrow.spec)

* Sat Jun 21 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 70fb0aa
- up to 1.07.4

* Thu Sep 19 2013 Jakub Bogusz <qboosh@pld-linux.org> ebd7478
- updated to 1.07.3
- updated patch from Fedora

* Tue Jan 15 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> f28f129
- O: fonts-TTF-RedHat-liberation (interchangeable)

* Tue Jan 15 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 64f112b
- 1.07.2 as fonts-TTF-RedHat-liberation1; bring configs to match FC

* Thu Feb 23 2012 Łukasz Kieś <kiesiu@pld-linux.org> 81a0707
- updated to 1.07.2

* Mon Nov 07 2011 Jakub Bogusz <qboosh@pld-linux.org> fda433e
- package TODO

* Fri Sep 30 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 550e84a
- up to 1.07.1

* Wed Aug 24 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> c2b8ec5
- rel 2; use pe script from fedora

* Sat Jul 23 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> d67fc8d
- up to 1.07.0

* Tue Aug 31 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 216fadf
- rel 1; fix monospace bug (patch from fc); build fonts from sources instead of using prepared ttfs

* Tue Aug 31 2010 Patryk Zawadzki <patrys@room-303.com> 4e12891
- 1.06

* Mon May 31 2010 sparky <sparky@pld-linux.org> 4ef0c9a
- BR: unzip

* Sun May 23 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 3344afc
- up to 1.05 (don't use snapshots)

* Wed Feb 03 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> d69ba4b
- rel 0.1 due to broken monospace font

* Tue Feb 02 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> ea5b588
- up to 1.05.2.20091227

* Tue Feb 02 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 6590b5d
- up config from FC

* Tue Oct 27 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> e7027ab
- rel 2

* Tue Oct 27 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 151ed27
- revert; 1.05.2.20091019 looks broken in kde koncole (liberation mono - changes it's width when scrolling cursors etc

* Sun Oct 25 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> ba324a8
- up to 1.05.2.20091019

